CEL: Crystal Entity Layer: iPcHover Struct Reference (CEL: Crystal Entity Layer Public API Reference)

| ## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iPcHover Struct Reference

Hover stabiliser property class. More...

`#include <propclass/hover.h>`

List of all members.

## Public Member Functions
virtual void | DefaultHeightFunction ()=0
| Debug function (provides presets).
virtual void | SetAngularBeamOffset (float abo)=0
| The offsets to the sides of the objects, to test height to calculate angular orientation with respect to the ground.
virtual void | SetAngularCorrectionStrength (float mul)=0
| How strongly does the object align itself with the terrain? Higher values means that an object going down a hill will snap to the slope.
virtual void | SetAngularCutoffHeight (float ach)=0
| Height at which to perform the angular correction.
virtual void | SetHeightBeamCutoff (float chm)=0
| The height for hit beams.
virtual void | SetStabiliserFunction (celStabiliserFunction *sfunc)=0
| Set the distribution functions which decide upthrust depending on height of ship.
virtual void | SetWorld (const char *name)=0
| Get world mesh using a name (not yet working) by querying this objects physical layer.
virtual void | SetWorldMesh (csRef< iPcMesh > wmesh)=0
| Set the mesh to do the height tests on (the ground).

## Detailed Description

Hover stabiliser property class.

Definition at line 34 of file hover.h.

## Member Function Documentation

virtual void iPcHover::DefaultHeightFunction | ( |  | ) | `[pure virtual]`

| Debug function (provides presets).

virtual void iPcHover::SetAngularBeamOffset | ( | float | abo | ) | `[pure virtual]`

| The offsets to the sides of the objects, to test height to calculate angular orientation with respect to the ground. Smaller is more accurate, but too small and the roll angles will differ in bigger steps (the height beams resolution won't be accurate enough)

virtual void iPcHover::SetAngularCorrectionStrength | ( | float | mul | ) | `[pure virtual]`

| How strongly does the object align itself with the terrain? Higher values means that an object going down a hill will snap to the slope. Smaller values and it will slowly align

virtual void iPcHover::SetAngularCutoffHeight | ( | float | ach | ) | `[pure virtual]`

| Height at which to perform the angular correction.

virtual void iPcHover::SetHeightBeamCutoff | ( | float | chm | ) | `[pure virtual]`

| The height for hit beams. Above this height, the height tests return infinity

virtual void iPcHover::SetStabiliserFunction | ( | celStabiliserFunction * | sfunc | ) | `[pure virtual]`

| Set the distribution functions which decide upthrust depending on height of ship.

virtual void iPcHover::SetWorld | ( | const char * | name | ) | `[pure virtual]`

  | Get world mesh using a name (not yet working) by querying this objects physical layer. Parameters:
  | name | name of world mesh

virtual void iPcHover::SetWorldMesh | ( | csRef< iPcMesh > | wmesh | ) | `[pure virtual]`

  | Set the mesh to do the height tests on (the ground). Parameters:
  | wmesh | ground object

The documentation for this struct was generated from the following file:

- propclass/hover.h